Subject: Re: bug#593: fwupd: Missing sysvinit script

From: Mark Hindley <[email-masked]>
Date: Mon, 19 Jul 2021 11:26:15 +0100

Control: tags -1 moreinfo

Dennis,

Thanks for this. It is not software I am farmiliar with, but I have had a quick
look an installed it in a VM.

On Mon, Jul 19, 2021 at 10:53:28AM +0200, Dennis Camera wrote:
> Package: fwupd
> Version: 1.5.7-4
> 
> Dear maintainer,
> 
> The fwupd package on Devuan only ships systemd services and timers.
> To be functional on Devuan it should ship sysvinit scripts and a refresh cron job, instead.

AFAICS the service files are dbus activatable. As such they still work on
Devuan. The thing that is missing is a cron script.

I ran '/usr/bin/fwupdmgr refresh' from the command line without issue or
error. After running this, the output of 'busctl' showed that the
org.freedesktop.fwup service had been started correctly.

Can you verify that?

Is there anything else, from a functional perspective, that you expect to
happen?

Thanks.

Mark